Login
curl --request POST \
--url https://api.example.com/auth/loginimport requests
url = "https://api.example.com/auth/login"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "INVALID_CREDENTIALS",
"message": "Invalid login credentials"
},
"data": null
}
Authentication
Login
Login with email and password
POST
/
auth
/
login
Login
Login with email and password to get a JWT token.
string
required
User’s email address
string
required
User’s password
boolean
Indicates if the request was successful
string
JWT token for authenticated requests
object
Error details if the request failed
Example Request
curl -X POST https://api.transaction.gg/auth/login \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"password": "password123"
}'
Example Response
{
"success": true,
"error": null,
"data": {
"token": "jwt_token"
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "INVALID_CREDENTIALS",
"message": "Invalid login credentials"
},
"data": null
}
⌘I